Bug 102059 - NotebookBar not accessible with F6
Summary: NotebookBar not accessible with F6
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium major
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords: accessibility
Depends on:
Blocks: a11y Notebookbar
  Show dependency treegraph
 
Reported: 2016-09-11 13:44 UTC by V Stuart Foote
Modified: 2017-02-21 23:27 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-09-11 13:44:17 UTC
@Samuel, Szymon, Kendy, *  

As implemented thus far, the NotebookBar alternative interface provides no keyboard navigation between panel Tabs, nor between button/selection widgets. Nor even normal UI navigation between UI components using F6 and F10.

Presently, it is impossible to move focus from the document canvas to the NotebookBar -- that would normally be an F10 or F6 keyboard movement. And as focus remains on the canvas there is no means to select a functional tab and apply action of a button/selection widget. Likewise with no keyboard focus movement into the panels, there is no movement possible between widgets.

It remains 100% mouse driven and so is incomplete, it breaks even rudimentary a11y support.

It can not be released in its current state--and as a major new program interface must be fully instrumented/tested for a11y support. Needs to happen sooner rather than later to be sure this is fully functional.
Comment 1 Yousuf Philips (jay) 2016-09-11 18:05:31 UTC
The only problem presently is implementing F6 support. F10 is to switch between the document and the menubar, which still works fine if the menubar is visible. I was able to navigate fine through the notebookbar with a screen reader once focus was set on the notebookbar.
Comment 2 V Stuart Foote 2016-09-11 18:44:34 UTC
@Jay, found that the F10 does position to the menubar--just hidden by default with NotebookBar interface enabled. 

However, not clear issue is simply lack of access via F6. But, guess add that as a first step and then see if the NotebookBar UI is navigable with keyboard and that the Glade UI widgets all are labeled and pick up accelerators.

Hope it is that simple.
Comment 3 Yousuf Philips (jay) 2016-09-11 19:23:07 UTC
(In reply to V Stuart Foote from comment #2)
> However, not clear issue is simply lack of access via F6. But, guess add
> that as a first step and then see if the NotebookBar UI is navigable with
> keyboard and that the Glade UI widgets all are labeled and pick up
> accelerators.

Yes keyboard navigation with the tab key works fine just like in any dialog. Presently there arent any accelerators on the button labels, as they are pulling the same label names that appear in the regular toolbars, which dont have accelerators and cant show them. If accelerators are needed for the buttons and labels, then some coding would be needed to let the accelerator underscore appear in the button label and the alt key would need to be able to show them, similar to this (bug 99324).
Comment 4 Commit Notification 2017-01-05 09:38:23 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9152f16b7901af6bceaa296b8e0fc171ee5fe03c

tdf#102059 NotebookBar accessible using F6 key

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 V Stuart Foote 2017-02-21 23:27:25 UTC
Sorry, missed the commit. Still have bug 90195 to finish, but this should have been closed. F6 navigation cycles focus as expected now.